Yandex Cloud
Документация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Cloud Backup
KZ
    • Все инструкции
    • Активировать сервис
    • Восстановить работу агента Cloud Backup
    • Посмотреть операции с ресурсами сервиса
    • Ограничить использование оперативной памяти агентом Cloud Backup
    • Посмотреть статистику резервного копирования
    • Настроить алерты Monium
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • ListArchives
        • List
        • ListFiles
        • Get
        • StartRecovery
        • Delete
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений
  • Решение проблем

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • BackupFile
  • Actions
  1. Справочник API
  2. REST (англ.)
  3. Backup
  4. ListFiles

Cloud Backup API, REST: Backup.ListFiles

Статья создана
Yandex Cloud
Обновлена 1 декабря 2025 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • BackupFile
  • Actions

ListFiles of the backup.

HTTP requestHTTP request

GET https://backup.api.yandexcloud.kz/backup/v1/backups/{backupId}/files

Path parametersPath parameters

Field

Description

backupId

string

Required field. Backup ID.

Query parametersQuery parameters

Field

Description

folderId

string

Required field. Folder ID.

sourceId

string

Empty source will list disks of the backup.

ResponseResponse

HTTP Code: 200 - OK

{
  "files": [
    {
      "id": "string",
      "parentId": "string",
      "type": "string",
      "fullPath": "string",
      "name": "string",
      "size": "string",
      "actions": {
        "restoreToDisk": "boolean",
        "goToLocation": "boolean"
      },
      "modifiedAt": "string"
    }
  ]
}

Field

Description

files[]

BackupFile

BackupFileBackupFile

BackupFile represents a single unit of file or directory system inside the backup.

Field

Description

id

string

Required field. ID of the item. Should be used as source ID in case of listing.

parentId

string

Might be empty if this is root directory.

type

enum (Type)

Required field. Type of the item.

  • TYPE_DIR
  • TYPE_FILE

fullPath

string

Required field. Absolute path of the item.

name

string

Required field. Name of the directory / file.

size

string (int64)

Size in bytes of the item.

actions

Actions

Required field. Actions that might be done on the object.

modifiedAt

string (date-time)

Required field. String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

ActionsActions

Field

Description

restoreToDisk

boolean

Allows to send request to restore item to disk

goToLocation

boolean

Allows to move to location by id.

Была ли статья полезна?

Предыдущая
List
Следующая
Get
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»